/*******************************************************************************
 * Copyright (c) 2008-2009 IBM
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Prakash Mallick - Utility methods needed to use eclipse NLS class
 *******************************************************************************/
package org.eclipse.higgins.util.l10n;

import org.eclipse.osgi.util.NLS;


public class IdASNLS extends NLS {

	public static void initializeMessages(String BUNDLE_NAME, Class obj)
	{
		NLS.initializeMessages(BUNDLE_NAME, obj);
	}
   
   public static java.lang.String bind(java.lang.String msgid, java.lang.Object o1)
   {
   		Object msgparms[] = generateMsgParms(o1);
		return NLS.bind(msgid,msgparms);
   }
   public static java.lang.String bind(java.lang.String msgid, java.lang.Object o1, java.lang.Object o2)
   {
   		Object msgparms[] = generateMsgParms(o1,o2);
   		return NLS.bind(msgid,msgparms);
   }
   
   public static java.lang.String bind(java.lang.String msgid, java.lang.Object o1, java.lang.Object o2,java.lang.Object o3)
   {
   		Object msgparms[] = generateMsgParms(o1,o2,o3);
   		return NLS.bind(msgid,msgparms);
   }
   public static java.lang.String bind(java.lang.String msgid, java.lang.Object o1, java.lang.Object o2,java.lang.Object o3,Object o4)
   {
   		Object msgparms[] = generateMsgParms(o1,o2,o3,o4);
   		return NLS.bind(msgid,msgparms);
   }
   public static java.lang.String bind(java.lang.String msgid, java.lang.Object o1, java.lang.Object o2,java.lang.Object o3,Object o4,Object o5)
   {
   		Object msgparms[] = generateMsgParms(o1,o2,o3,o4,o5);
   		return NLS.bind(msgid,msgparms);
   }
   public static java.lang.String bind(java.lang.String msgid, java.lang.Object o1, java.lang.Object o2,java.lang.Object o3,Object o4,Object o5,
	   Object o6)
   {
   		Object msgparms[] = generateMsgParms(o1,o2,o3,o4,o5,o6);
   		return NLS.bind(msgid,msgparms);
   }
   public static Object[] generateNullMsgParms()
   {
       Object parms[] = new Object[1];
       parms[0] = null;
       return parms;
   }
   
   public static Object[] generateMsgParms(Object parm1)
   {
       Object parms[] = new Object[1];
       parms[0] = parm1;
       return parms;
   }

   public static Object[] generateMsgParms(Object parm1, Object parm2)
   {
       Object parms[] = new Object[2];
       parms[0] = parm1;
       parms[1] = parm2;
       return parms;
   }

   
   public static Object[] generateMsgParms(Object parm1, Object parm2, Object parm3)
   {
       Object parms[] = new Object[3];
       parms[0] = parm1;
       parms[1] = parm2;
       parms[2] = parm3;
       return parms;
   }
   public static Object[] generateMsgParms(Object parm1, Object parm2, Object parm3, Object parm4)
   {
       Object parms[] = new Object[4];
       parms[0] = parm1;
       parms[1] = parm2;
       parms[2] = parm3;
       parms[3] = parm4;
       return parms;
   }
   public static Object[] generateMsgParms(Object parm1, Object parm2, Object parm3, Object parm4, Object parm5)
   {
       Object parms[] = new Object[5];
       parms[0] = parm1;
       parms[1] = parm2;
       parms[2] = parm3;
       parms[3] = parm4;
       parms[4] = parm5;
       return parms;
   }
   public static Object[] generateMsgParms(Object parm1, Object parm2, Object parm3, Object parm4, Object parm5,
      Object parm6)
   {
	  Object parms[] = new Object[6];
	  parms[0] = parm1;
	  parms[1] = parm2;
	  parms[2] = parm3;
	  parms[3] = parm4;
	  parms[4] = parm5;
	  parms[5] = parm6;
	  return parms;
   }
   
   public static Object[] generateMsgParms(Object parm1, Object parm2, Object parm3, Object parm4, Object parm5,
      Object parm6, Object parm7)
   {
	  Object parms[] = new Object[7];
	  parms[0] = parm1;
	  parms[1] = parm2;
	  parms[2] = parm3;
	  parms[3] = parm4;
	  parms[4] = parm5;
	  parms[5] = parm6;
	  parms[6] = parm7;
	  return parms;
   }


	public static Object[] generateMsgParms(Object parm1, Object parm2, Object parm3, Object parm4, Object parm5,
	      Object parm6, Object parm7, Object parm8)
	{
	  Object parms[] = new Object[8];
	  parms[0] = parm1;
	  parms[1] = parm2;
	  parms[2] = parm3;
	  parms[3] = parm4;
	  parms[4] = parm5;
	  parms[5] = parm6;
	  parms[6] = parm7;
	  parms[7] = parm8;
	  return parms;
	}
}